net.i2p.router.networkdb.reseed

## Class ReseedChecker

- java.lang.Object
- - net.i2p.router.networkdb.reseed.ReseedChecker

-     public class ReseedChecker
      extends Object

  Moved from RouterConsoleRunner.java Reseeding is not strictly a router function, it used to be in the routerconsole app, but this made it impossible to bootstrap an embedded router lacking a routerconsole, in iMule or android for example, without additional modifications. Also, as this is now called from PersistentDataStore, not from the routerconsole, we can get started as soon as the netdb has read the netDb/ directory, not when the console starts.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReseedChecker()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `checkReseed(RouterContext context, int count)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReseedChecker

          public ReseedChecker()

  - ### Method Detail

    - #### checkReseed

          public static void checkReseed(RouterContext context,
                         int count)